'*****************************************************************************
'*****************************************************************************
''DDReview% = DoMsgBox("", "DDREVIEW", MB_OK+MB_ICONHAND)

''*********   Dialog ID's  ************************
CONST NONX86          =  100
CONST WARNING         =  200
CONST NOHELP          =  300
CONST NOTADMIN        =  400
CONST DETECT          =  500
CONST BADOS30         =  600
CONST WELCOME         =  700
CONST FOUNDSOFT       =  800
CONST DESTPATH        =  900
CONST BADPATH         = 1000
CONST NOSPACEEXPRESS  = 1100
CONST CDGETNAME       = 1200
CONST CDCONFIRMINFO   = 1300
CONST CDALREADYUSED   = 1400
CONST CDBADFILE       = 1500
CONST CDBADNAME       = 1600
CONST BILLBOARD       = 1700
CONST EXITQUIT        = 1800
CONST EXITFAILURE     = 1900
CONST ASKQUIT         = 2000
CONST EXITSUCCESS     = 2100
CONST QUITFILECOPY    = 2200
CONST WRITEAUTOFIG    = 2300

GLOBAL COMDLL$
GLOBAL SETUPINF$
GLOBAL SRCDIR$

GLOBAL SHMSE$
GLOBAL SHDST$
GLOBAL WINDIR$
GLOBAL WINSYSDIR$
GLOBAL WINTYPE%
GLOBAL OEMTYPE%
GLOBAL DLG%
GLOBAL HWIN%
GLOBAL RetCode%
GLOBAL szName$
GLOBAL BADOPS%
GLOBAL FOUNDOTHER%

DECLARE FUNCTION ExitWindows LIB "USER" (szBuf&, Buf%) AS INTEGER
DECLARE FUNCTION WriteProfileString LIB "KERNEL" (szSec$, szLine$, szVal$)
DECLARE FUNCTION SendMessage LIB "USER" (handle%,Num%,Mess%,lParam&) AS LONG
DECLARE FUNCTION PostMessage LIB "USER" (handle%,Num%,Mess%,lParam&) AS INTEGER
DECLARE FUNCTION ShowWindow LIB "USER" (handle%, flag%) AS INTEGER
DECLARE FUNCTION SetMidasAutoBat LIB "mscuistf.dll" (szPath$) AS INTEGER
DECLARE FUNCTION AutoFigWriteable LIB "mscuistf.dll" () AS INTEGER

'$INCLUDE 'setupapi.inc'
'$INCLUDE 'msdetect.inc'
'$INCLUDE 'common.inc'

INIT:

	COMDLL$ = "mscuistf.dll"
	InitialIzation

WELCOME:
	sz$ = UIStartDlg(COMDLL$, WELCOME, "FInfoDlgProc", 0, "")

	IF sz$ = "CONTINUE" THEN
		UIPop 1
	ELSEIF sz$ = "HELP" THEN
		sz$ = UIStartDlg(COMDLL$, NOHELP, "FHelpDlgProc", 0, "")
		UIPop 1
		GOTO WELCOME
	ELSE
		ASKEXIT
		GOTO WELCOME
	ENDIF

	IF OEMTYPE% = 1 THEN
		GOTO SETPATH
	ENDIF

	Disincentive
	FindOldSoftWare

SETPATH:

	GetPath

XSTALL:
	IF WINTYPE% = 1 OR WINTYPE% = 4 THEN
		''	  INPUT	USER
		need& = 347957 + 422923
	ELSEIF WINTYPE% = 3 THEN
		''	  INPUT	USER
		need& = 271697 + 345995
	ENDIF
	drive$ = MID$(SHMSE$, 1, 1)
	IF need& > GetFreeSpaceForDrive(drive$) THEN
NS:
		sz$ = UIStartDlg(COMDLL$, NOSPACEEXPRESS, "FInfo0DlgProc", 0, "")
		IF sz$ = "CONTINUE" THEN
			UIPop 1
			GOTO SETPATH
		ELSE
			GOTO NS
		ENDIF
	ENDIF

INSTALL:
	SHDST$ = MakePath(SHMSE$, "JOYSTICK\SIDEWNDR")
	
	IF WINTYPE% = 3 THEN
		'Win16
		CreateDir SHMSE$, cmoNone
		CreateDir SHDST$, cmoNone
	ELSE
		'Create long filename and return 8.3 in Win95/NT/Daytona
		x%= NTCreateDir(SHMSE$)
		SHMSE$ = GetSymbolValue("SetupString")
		RemoveSymbol "SetupString"
		x% = NTCreateDir(SHDST$)
		SHDST$ = GetSymbolValue("SetupString")
		RemoveSymbol "SetupString"
	ENDIF

	FillCopyList
	AddToBillBoardList COMDLL$, BILLBOARD, "BMDlgProc", 100
	SetCopyGaugePosition 140, 120

	CopyFilesInCopyList

	Cursor% = ShowWaitCursor()
	x% = GetBasicStr(8004)
	szT$ = GetSymbolValue("SetupString")
	x% = GetBasicStr(8007)
	szRM$ = GetSymbolValue("SetupString")
	x% = GetBasicStr(8008)
	szRE$ = GetSymbolValue("SetupString")
	x% = GetBasicStr(8012)
	szHelp$ = GetSymbolValue("SetupString")
	x% = GetBasicStr(14006)
	szUninstall$ = GetSymbolValue("SetupString")

	IF WINTYPE% = 3 THEN
		'Win16
		FillIniFile
	ELSE
		'Win95/NT/Daytona
		x% = NTSetRegistry(SHDST$, SendMessage(HWIN%, WM_LANG, 0, 0))
	ENDIF


	'Write PID to MSINPUT
	szSer$ = GetSymbolValue("INSTALLEDSER")
	szName$ = " ("+GetSymbolValue("INSTALLEDNAME")+")"
	szIni$ = MakePath(SHMSE$,"MSINPUT.INI")
	CreateIniKeyValue szIni$, "Joystick", "PID", szSer$+szName$, cmoOverwrite
	
	'Add ProgMan group and icon
	CreateProgmanGroup szT$, "", cmoNone
	ShowProgmanGroup szT$, 1, cmoNone
	CreateProgmanItem szT$, szRM$, MakePath(SHDST$, szRE$), "", cmoOverwrite
	CreateProgmanItem szT$, szHelp$, MakePath(SHDST$, "SIDEWNDR.HLP"), "", cmoOverwrite
	CreateProgmanItem szT$, szUninstall$, MakePath(SHDST$, "uninstal.exe"), "", cmoOverwrite

AUTOBAT:
	i% = SetMidasAutoBat(SHMSE$)
	RestoreCursor Cursor%

QUIT:

	ON ERROR GOTO ERRQUIT

	QuitInstall

	END

ERRQUIT:

	x% = GetBasicStr(8003)
	sz$ = GetSymbolValue("SetupString")
	x% = GetBasicStr(8001)
	sx$ = GetSymbolValue("SetupString")
	i% = DoMsgBox(sz$, sx$, MB_OK+MB_TASKMODAL+MB_ICONHAND)
	RemoveSymbol "SetupString"

	END
